# Google Maps

With Talordata SERP API, you can configure **Google Maps** queries, including localization, geographic targeting, and advanced parameter output options.

<details>

<summary><strong><code>q</code> ,</strong>Search Query<strong>(Required)</strong></summary>

Define the search query used for data scraping (Default value: `q=pizza`). Any keywords in any language are supported.

**Example Request:**\
Example using the parameter `q`: pizza

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1"
```

</details>

## Localization

<details>

<summary><strong><code>google_domain</code>,</strong>Domain<strong>(Optional)</strong></summary>

Define the search engine domain name for data crawling (default value: `google.com`).

You can modify this parameter in the system or refer to the [Google domain page](https://domains.squarespace.com/) to obtain the complete list of supported domain names.

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark> ,`google_domain`: <mark style="color:blue;">google.co.ao</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "google_domain=google.co.ao" \
 -d "json=1"
```

</details>

<details>

<summary><strong><code>gl</code> ,</strong>Country<strong>(Optional)</strong></summary>

Specify the target country/region for search results (default value: `us`). Use two-letter country codes(e.g., `us`, `ru`, `uk`).

For the complete list of supported country codes, please refer to: [Google’s Country List](https://developers.google.com/adwords/api/docs/appendix/geotargeting).

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`gl`: <mark style="color:blue;">ru</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "gl=ru" \
 -d "json=1"
```

</details>

<details>

<summary><strong><code>hl</code> ,</strong>Language<strong>(Optional)</strong></summary>

Set the interface language for search results (default value: `en`). Adopt standard language code formats (e.g., `en`, `es`, `zh-CN`).

For the complete list of supported language codes, please refer to: [Google Language Codes](https://developers.google.com/google-ads/api/docs/start).

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`hl`: <mark style="color:blue;">es</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "hl=es"
```

</details>

## Geographical Location

<details>

<summary><code>ll</code> <strong>,</strong>GPS Coordinates<strong>(Optional)</strong></summary>

The GPS parameter defines the coordinates of the location you wish the search to originate from. Its value must match the following format:

`@ + latitude + , + longitude + , + scale`

`@40.7455096,-74.0083012,14z`

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`ll`: @40.7455096,-74.0083012,14z

```
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "ll=@40.7455096,-74.0083012,14z"
```

</details>

## Search Types

<details>

<summary><code>type</code> <strong>,</strong>Type of search<strong>(Optional)</strong></summary>

The search parameter defines the type of search to be performed. It can be set to:

`search` - returns a list of results when the q parameter is set,

`place` - returns results for a specific location when the data parameter is set

No parameter is required when using `place_id` or `data_cid`.

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`type`:search

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "type=search"
```

</details>

## Pagination

<details>

<summary><strong><code>start</code> ,</strong>Result offset<strong>(Optional)</strong></summary>

Parameter defines the result offset. It skips the given number of results. It's used for pagination. (e.g., `0` (default) is the first page of results, `10` is the 2nd page of results, `20` is the 3rd page of results, etc.).\
\
Google Local Results only accepts multiples of `20`(e.g. `20` for the second page results, `40` for the third page results, etc.) as the start value.

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`start`:<mark style="color:blue;">30</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "start=30"
```

</details>

## Advanced Parameters

<details>

<summary><code>data</code> <strong>,</strong>Data<strong>(Optional)</strong></summary>

Parameters can be used to filter search results. You can visit the Google Maps website, set up the filters you want, and then simply copy the data values from its `URL` to `SerpApi URL`.

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`data`:20250815

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "data=20250815"
```

</details>

<details>

<summary><code>place_id</code> <strong>,</strong>Place ID<strong>(Optional)</strong></summary>

A parameter defines a unique reference to a place in Google Maps. Place ID works for most places, including businesses, landmarks, parks, and intersections. You can find `place_id` using our Google Maps API.

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`place_id`:541541233999

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "data=20250815" \
 -d "place_id=541541233999"
```

</details>

<details>

<summary><code>data_cid</code> <strong>,</strong>Google CID<strong>(Optional)</strong></summary>

A parameter defines the Google CID (customer identifier) of a place. This parameter can be found in Google Maps API local results, as well as in Google Search API and Google Local API local results, and is named `place_id`. You can also use Google's CID converter to get it.

**Code Example:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`data_cid`:<mark style="color:blue;">001</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_maps" \
 -d "q=pizza" \
 -d "json=1" \
 -d "data_cid=001"
```

</details>

If you need further assistance, feel free to contact us via **live chat** or email **<support@talordata.com>**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talordata.com/serp-api/query-parameters/google/google-maps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
